/**
 * Title:           Statistic, $Header: /share/gdi/SDI-Suite/Repository/projekte/BSH-GDI/genericViewer/src/main/java/de/conterra/bsh/gdi/gnviewer/output/statistics/Statistic.java,v 1.2 2007/12/21 12:31:15 blume Exp $
 * Source:          $Source: /share/gdi/SDI-Suite/Repository/projekte/BSH-GDI/genericViewer/src/main/java/de/conterra/bsh/gdi/gnviewer/output/statistics/Statistic.java,v $
 * created by:      Stefan Blume (blume)
 * erstellt am:     14.12.2007
 * Copyright:       con terra GmbH, 2005
 *
 * modified by:     $Author: blume $
 * modified on:     $Date: 2007/12/21 12:31:15 $
 * Version:         $Revision: 1.2 $
 * TAG:             $Name:  $
 * locked from:     $Locker:  $
 * CVS State:       $State: Exp $
 * Project:         $ProjectName$
 */
package de.intevation.gnv.statistics;

import org.apache.log4j.Logger;

/**
 * The class <code>Statistic</code> fulfills the following purposes:
 * <ol>
 * <li></li>
 * </ol>
 * 
 * @author blume
 * @version 1.0
 * @serial 1.0
 * @see
 * @since 14.12.2007 09:38:18
 */
public class Statistic {

    /**
     * Default Logging instance
     */
    private static Logger sLogger = Logger.getLogger(Statistic.class);
    private static boolean sDebug = sLogger.isDebugEnabled();

    private double mValue;
    private String mKey;

    public Statistic(String pKey, double pValue) {
        mKey = pKey;
        mValue = pValue;
    }

    public double getValue() {
        return mValue;
    }

    public String getKey() {
        return mKey;
    }

    public String getStringValue() {
        java.text.DecimalFormat df = new java.text.DecimalFormat("#.##");
        return df.format(mValue);
    }

}
